OGRE-Next: Ogre::v1::BillboardParticleRendererFactory Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::v1::BillboardParticleRendererFactory Class Referencefinal
Core » Effects

Factory class for BillboardParticleRenderer. More...

`#include <OgreBillboardParticleRenderer.h>`

Inheritance diagram for Ogre::v1::BillboardParticleRendererFactory:
[legend]

## Public Member Functions
| BillboardParticleRendererFactory ()
| ~BillboardParticleRendererFactory () override
ParticleSystemRenderer * | createInstance (const String &name) override
| Creates a new object.
void | destroyInstance (ParticleSystemRenderer *ptr) override
| Destroys an object which was created by this factory.
const String & | getType () const override
| Returns the factory type.
Public Member Functions inherited from Ogre::ParticleSystemRendererFactory
| ParticleSystemRendererFactory ()
Public Member Functions inherited from Ogre::FactoryObj< ParticleSystemRenderer >
virtual | ~FactoryObj ()

## Additional Inherited Members
Public Attributes inherited from Ogre::ParticleSystemRendererFactory
SceneManager * | mCurrentSceneManager
| Needs to be set directly before calling createInstance.

## Detailed Description

Factory class for BillboardParticleRenderer.

## Constructor & Destructor Documentation

## ◆ BillboardParticleRendererFactory()

Ogre::v1::BillboardParticleRendererFactory::BillboardParticleRendererFactory | ( |  | ) |

## ◆ ~BillboardParticleRendererFactory()

Ogre::v1::BillboardParticleRendererFactory::~BillboardParticleRendererFactory | ( |  | ) |
| override

## Member Function Documentation

## ◆ createInstance()

ParticleSystemRenderer * Ogre::v1::BillboardParticleRendererFactory::createInstance | ( | const String & | name | ) |
| overridevirtual

Creates a new object.

Parameters

  name | Name of the object to create

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::FactoryObj< ParticleSystemRenderer >.

## ◆ destroyInstance()

void Ogre::v1::BillboardParticleRendererFactory::destroyInstance | ( | ParticleSystemRenderer * | ptr | ) |
| overridevirtual

Destroys an object which was created by this factory.

Parameters

  ptr | Pointer to the object to destroy

Implements Ogre::FactoryObj< ParticleSystemRenderer >.

## ◆ getType()

const String & Ogre::v1::BillboardParticleRendererFactory::getType | ( |  | ) | const
| overridevirtual

Returns the factory type.

Returns
  The factory type.

Implements Ogre::FactoryObj< ParticleSystemRenderer >.

The documentation for this class was generated from the following file:

- OgreBillboardParticleRenderer.h